File: changelog

package info (click to toggle)
python-pkginfo 1.4.2-2
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 492 kB
  • sloc: python: 1,822; makefile: 66
file content (92 lines) | stat: -rw-r--r-- 3,316 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
python-pkginfo (1.4.2-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload
  * Patch: metadata-2.1: setuptools >= 38.6 will use metadata version 2.1.
    Expect that. (Closes: #894107)
  * Bump Standards-Version to 4.2.1, no changes needed.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Stefano Rivera <stefanor@debian.org>  Wed, 12 Sep 2018 17:43:16 +0300

python-pkginfo (1.4.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release.
  * Upstream relicensed to MIT/Expat.
  * Migrate from git-dpm to pure git-buildpackage (with PQ).
  * Bump debhelper compat level to 10.
  * Upstream dropped support for python 2.6.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Drop the "sneaky" test setup, it's no longer shipped.
  * Fix typos in --help (and manpage).
  * Fix CSS in HTML docs. (Sphinx 1.3 compatibility)
  * Declare Rules-Requires-Root: no.

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

 -- Stefano Rivera <stefanor@debian.org>  Mon, 19 Mar 2018 18:55:18 -0700

python-pkginfo (1.2.1-1) unstable; urgency=medium

  [ Zygmunt Krynicki ]
  * New upstream release
  * debian/watch: use the new pypi redirector
  * debian/patches/fix-tests-on-python3.4: drop, applied upstream
  * debian/patches/fix-configparser-import: ditto
  * NOTE: Tests fail https://bugs.launchpad.net/pkginfo/+bug/1430255 so
    postponing further work

  [ Jan Dittberner ]
  * Bump Standards-Version to 3.9.6 (No changes)
  * remove unneeded override_dh_auto_clean
  * Use dh_auto_test
  * Disable those tests not working in Debian build via patches
  * Removed tests from binary packages

 -- Jan Dittberner <jandd@debian.org>  Wed, 30 Dec 2015 18:59:14 +0100

python-pkginfo (1.1-2) unstable; urgency=medium

  * Team upload
  * Use pybuild
  * Add a patch that fixes unit tests when running on python3.4
  * Add a patch that fixes pkginfo executable when using python3.4
  * Add a new 'python3-pkginfo' binary package and move the main executable
    and the manual page there. This is a compromise between adding a new
    binary package (seems wasteful) and renaming all executables to have the
    interpreter version (against the python3 policy)
  * Adjust the 'python-pkginfo-doc' package to build with python3 and to
    make sense for both versions of the library

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Mon, 21 Apr 2014 14:24:48 +0200

python-pkginfo (1.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jan Dittberner ]
  * New upstream version
  * debian/rules: create pkginfo/tests/sneaky egg info to make the unit
    tests work and cleanup after testing
  * debian/control: bump Standards-Version (no changes)
  * run wrap-and-sort (changed debian/control and debian/copyright)

 -- Jan Dittberner <jandd@debian.org>  Sat, 22 Feb 2014 16:05:06 +0100

python-pkginfo (0.9.1-1) unstable; urgency=low

  * Initial release. (Closes: #691172)

 -- Jan Dittberner <jandd@debian.org>  Mon, 22 Oct 2012 20:54:14 +0200